> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Clock Out



## OpenAPI

````yaml post /check-in/clock-in/clock-out
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /check-in/clock-in/clock-out:
    post:
      tags:
        - provider
        - check-in
        - clock-in
      summary: Clock Out
      operationId: clock_out_check_in_clock_in_clock_out_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ClockInRecord'
components:
  schemas:
    ClockInRecord:
      properties:
        id:
          type: string
          title: Id
        userId:
          type: string
          title: Userid
        startTime:
          type: string
          format: date-time
          title: Starttime
        locationId:
          type: string
          title: Locationid
        endTime:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Endtime
      type: object
      required:
        - id
        - userId
        - startTime
        - locationId
      title: ClockInRecord

````